package org.example.tryfault2;

import org.apache.camel.EndpointInject;
import org.apache.camel.Produce;
import org.apache.camel.ProducerTemplate;
import org.apache.camel.component.mock.MockEndpoint;
import org.apache.camel.test.spring.CamelSpringTestSupport;
import org.junit.Test;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class CamelContextXmlTest extends CamelSpringTestSupport {

    @Produce(uri = "direct:route2")
    private ProducerTemplate route2;

    
    /*
     * This test covers behavior we would expect - if a route
     * sets a fault, the route should be marked as failed and the
     * calling route should terminate.  This test fails right now.
     */
    @Test
    public void expectedBehavior() throws Exception {
        route2.sendBody("test");
    }

   
    @Override
    protected ClassPathXmlApplicationContext createApplicationContext() {
        return new ClassPathXmlApplicationContext("META-INF/spring/camel-context.xml");
    }

}
